<div *ngIf="unitIs" class="tab">
    <button class="active-button" *ngIf="unit.unitType === 'city'" (click)="cityCreate()">Create city</button>
    <!-- <button class="active-button"  *ngIf="unit.unitType === 'builder'" (click)="createBuilding()">Create Farm</button> -->
    <button *ngFor="let constraction of constractions" class="active-button" (click)="createBuilding(constraction.name)">Create {{constraction.name}}</button>
    <div>
        <img [attr.src]="unit.img">

    </div>
    <div>
        HP: {{unit.hp}}
    </div>
    <div>
        Moves: {{unit.move}}
    </div>
</div>
